#!/bin/ksh -x

if [ -z "$CANDLEHOME" ]
then
  echo "CANDLEHOME not set.  Cannot process ver file unless CANDLEHOME is set."
  exit 1
else
  LOG=${CANDLEHOME%/}/patchlogs
  LOG=$LOG/6.3.0-TIV-ITM-FP0001-IV43893.log

  me=${0##*/}
  echo `date`": Running $me" >> $LOG
  echo "Set values:" >> $LOG
  echo "---------------------------------------------------------------------" >> $LOG
  set >> $LOG
  echo "---------------------------------------------------------------------" >> $LOG


  VER_NAME=syli6263.ver
  FULL_NAME="${CANDLEHOME%/}/registry/$VER_NAME"
  echo "VER_NAME: $VER_NAME" >> $LOG
  echo "FULL_NAME: $FULL_NAME" >> $LOG

  RM_LINE="PATCH=PROV|6.3.0-TIV-ITM-FP0001|IV43893"
  echo "RM_LINE: $RM_LINE" >> $LOG

  needToRm=`grep $RM_LINE $FULL_NAME`

  echo "needToRm: $needToRm" >> $LOG

  if [ "$needToRm" != "" ]; then
  	# now we need to remove that line from the ver file
  	echo "LINE THERE - REMOVE IT" >> $LOG
          VERINFO=`cat $FULL_NAME`
  	echo "$VERINFO" | grep -v "$RM_LINE" > $FULL_NAME
  fi
fi

